Debian Bug report logs - #664760
ITP: tinkerer -- blogging engine/static website generator powered by Sphinx

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kouhei Maeda <mkouhei@palmtb.net>

Date: Tue, 20 Mar 2012 16:45:02 UTC

Owned by: Kouhei Maeda <mkouhei@palmtb.net>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#664760; Package wnpp. (Tue, 20 Mar 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 20 Mar 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-tinkerer -- blogging engine/static website generator powered by Sphinx
Date: Wed, 21 Mar 2012 01:40:36 +0900
Package: wnpp
Severity: wishlist
Owner: Kouhei Maeda <mkouhei@palmtb.net>

* Package name    : python-tinkerer
  Version         : 0.3b
  Upstream Author : Vlad Riscutia <riscutiavlad@gmail.com>
* URL             : http://tinkerer.me/
* License         : BSD
  Programming Lang: Python
  Description     : blogging engine/static website generator powered by Sphinx

 It allows blogging in reStructuredText format, comes with out-of-the-box
 support for post publishing dates, authors, categories, tags, post archive,
 RSS feed generation, comments powered by Disqus and more.
 Tinkerer is also highly customizable through Sphinx extensions.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664760; Package wnpp. (Fri, 12 Oct 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Fri, 12 Oct 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 664760@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 664760@bugs.debian.org
Cc: debian-devel@lists.debian.or.jp
Subject: Please upload python-tinkerer source to mentors
Date: Fri, 12 Oct 2012 15:17:09 +0900
Hi,

 I'll sponsor this, Kouhei. So, please upload source to mentors and send 
 dsc url as reply to this mail. Then, I'll check and upload it.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Added tag(s) pending. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 14 Oct 2012 13:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#664760; Package wnpp. (Wed, 17 Oct 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Oct 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 664760@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: Hideki Yamane <henrich@debian.or.jp>, 664760@bugs.debian.org
Cc: debian-devel@lists.debian.or.jp
Subject: Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Wed, 17 Oct 2012 10:16:10 +0900
Hi,

I worry about web symbols font included by tinkerer.
lintian notification is follow;

tinkerer has web-symbols-regular-webfont.ttf and related files at
./tinkerer/themes/tinkerbase/static of source code tree.

This custom SVG webfont is generated by Font Squirrel
(http://www.fontsquirrel.com/).
The license of this font is Open Font License.
http://archive09.linux.com/articles/60919

Should I exclude this font and make another font package?
Or can I include this font to tinkerer package?


I: python-tinkerer: font-in-non-font-package
usr/share/pyshared/tinkerer/themes/boilerplate/static/websymbols-regular-webfont.ttf
N:
N:    This package contains a *.ttf, *.otf, or *.pfb file, file extensions
N:    used by TrueType, OpenType, or Type 1 fonts, but the package does not
N:    appear to be a dedicated font package. Dedicated font package names
N:    should begin with fonts-. (Type 1 fonts are also allowed in packages
N:    starting with xfonts-.) If the font is already packaged, you should
N:    depend on that package instead. Otherwise, normally the font should be
N:    packaged separately, since fonts are usually useful outside of the
N:    package that embeds them.
N:
N:    Severity: wishlist, Certainty: possible
N:
N:    Check: files, Type: binary, udeb
N:
I: python-tinkerer: font-in-non-font-package
usr/share/pyshared/tinkerer/themes/tinkerbase/static/websymbols-regular-webfont.ttf


regards,
--
Kouhei Maeda <mkouhei at {palmtb.net,debian.or.jp}>
 KeyID 4096R/7E37CE41


2012/10/12 Hideki Yamane <henrich@debian.or.jp>:
> Hi,
>
>  I'll sponsor this, Kouhei. So, please upload source to mentors and send
>  dsc url as reply to this mail. Then, I'll check and upload it.
>
>
> --
> Regards,
>
>  Hideki Yamane     henrich @ debian.or.jp/org
>  http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664760; Package wnpp. (Thu, 18 Oct 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Thu, 18 Oct 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 664760@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 664760@bugs.debian.org
Cc: debian-devel@lists.debian.or.jp
Subject: Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Thu, 18 Oct 2012 10:05:46 +0900
Kouhei,

 First, please upload your source package then I can get and look into it.

On Wed, 17 Oct 2012 10:16:10 +0900
Kouhei Maeda <mkouhei@palmtb.net> wrote:
> I worry about web symbols font included by tinkerer.
> lintian notification is follow;


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Changed Bug title to 'ITP: tinkerer -- blogging engine/static website generator powered by Sphinx' from 'ITP: python-tinkerer -- blogging engine/static website generator powered by Sphinx' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 20 Oct 2012 08:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664760; Package wnpp. (Sat, 20 Oct 2012 14:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Sat, 20 Oct 2012 14:06:06 GMT) Full text and rfc822 format available.

Message #29 received at 664760@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 664760@bugs.debian.org
Cc: debian-devel@lists.debian.or.jp
Subject: Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Sat, 20 Oct 2012 23:03:27 +0900
Hi kouhei,

> On Wed, 17 Oct 2012 10:16:10 +0900
> Kouhei Maeda <mkouhei@palmtb.net> wrote:
> > I worry about web symbols font included by tinkerer.
> > lintian notification is follow;

 Thanks for uploading your source to mentors, I've looked it and found 
 some (but serious) problems for license as below, so you'd fix it before
 it will be uploaded into Debian repository.


 Its LICENSE file says,

> License for email obfuscator code
> =================================
> 
> Email obfuscator code under tinkerer/ext/hidemail.py
> 
> BSD license:
> 
> Copyright (c) 2011-2012, Kevin Teague.
> All rights reserved.

 It's _4_ clause, and it is unfortunately not DFSG-free license.
  
  
> 3. All advertising materials mentioning features or use of this software
>    must display the following acknowledgement:
>    This product includes software developed by Kevin Teague.

 BSD-4-clause, old BSD license is not good.


> License for Boilerplate theme
> =============================
> 
> Parts of boilerplate theme under tinkerer/themes/boilerplate are derived from 
> the Sphinx basic theme. Boilerplate theme also includes the following 
> JavaScript scripts copied from Sphinx base theme theme: doctools.js, 
> searchtools.js_t. These are licensed under the following license:

 same as above.
 
 

> License for jQuery JavaScript Library
> =====================================
> 
> jQuery JavaScript Library is distributed with Tinkerer under 
> tinkerer/themes/boilerplate/static and has the following license:
> 
> MIT license:

> License for Modernizr JavaScript Library
> ========================================
> 
> Modernizr JavaScript Library is distributed with Tinkerer under
> tinkerer/themes/boilerplate/static and has the following license:
> 
> MIT license:

 Those are MIT-style license. It's okay, but you described in
 debian/copyright 

> Files: *
> Copyright: 2011-2012 Vlad Riscutia <riscutiavlad@gmail.com>
>            2011-2012 contributors ; Andrea Crotti, Bernhard Grotz, Jordi Bofill, Rod Morehead, Yoshihisa Tanaka
> License: BSD-2-Clause

  and 

> Files: tinkerer/themes/tinkerbase/static/*
> Copyright: 2007-2011, Just Be Nice, www.justbenicestudio.com, with Reserved Font Name WebSymbolsRegular
> License: Open Font License

 It's not correct. You should check LICENSE file if it exists, at least
 (seriously).

 
 Then, tiny thing. In debian/rules 

> # -*- makefile -*-
> # Sample debian/rules that uses debhelper.
> # This file was originally written by Joey Hess and Craig Small.
> # As a special exception, when this file is copied by dh-make into a
> # dh-make output file, you may use that output file without restriction.
> # This special exception was added by Craig Small in version 0.37 of dh-make.

 Please delete it, ugly. And, debian/watch cannot seek upstream source maybe
 since it is caused by upstream site has changed.


 Well, license problem is really hard thing for the maintainers, it's 
 tough, and not so interesting as coding ;) However, we Debian package
 maintainers should fix to distribute it (as you already know).

 I can help you to fix this problem, so once discuss it before working.
 Okay?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664760; Package wnpp. (Sun, 21 Oct 2012 05:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Sun, 21 Oct 2012 05:15:05 GMT) Full text and rfc822 format available.

Message #34 received at 664760@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 664760@bugs.debian.org
Cc: debian-devel@debian.or.jp
Subject: Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Sun, 21 Oct 2012 14:00:01 +0900 (JST)
On October 20, 2012, [debian-devel:18411],
henrich (at debian.or.jp) wrote:

>> Email obfuscator code under tinkerer/ext/hidemail.py
>> 
>> BSD license:
>> 
>> Copyright (c) 2011-2012, Kevin Teague.
>> All rights reserved.
> 
>  It's _4_ clause, and it is unfortunately not DFSG-free license.

The BSD-4-clause license is compliant to DFSG, even though it is
incompatible with GPL.

Thanks,
-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#664760; Package wnpp. (Tue, 30 Oct 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Tue, 30 Oct 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 664760@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: debian-devel@debian.or.jp
Cc: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 664760@bugs.debian.org
Subject: Re: [debian-devel:18413] Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Wed, 31 Oct 2012 01:37:50 +0900
Hi,

On Sun, 21 Oct 2012 14:02:41 +0900
Tatsuya Kinoshita <tats@vega.ocn.ne.jp> wrote:
> The BSD-4-clause license is compliant to DFSG, even though it is
> incompatible with GPL.

 Yes, yes, I did misunderstanding for this so I'm wrong.

 BSD-4-clause is
  : DFSG-free (still I have a bit question for it)
  : not-compatible with GPL
  : BSD people encourage people not to use this now.
  : It's not OSI-approved

 If upstream has no strong reason to choose BSD-4-clause, I recommend 
 you to ask upstream why they choose it.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#664760; Package wnpp. (Sat, 24 Nov 2012 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 24 Nov 2012 04:21:03 GMT) Full text and rfc822 format available.

Message #44 received at 664760@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: debian-devel@debian.or.jp
Cc: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 664760@bugs.debian.org
Subject: Re: [debian-devel:18422] Re: Bug#664760: Please upload python-tinkerer source to mentors
Date: Sat, 24 Nov 2012 13:18:59 +0900
[Message part 1 (text/plain, inline)]
Hi, Hideki

I have fixe above and uploaded to mentors.

* mistaken Files of debian/copyright,
* delete unnecessary comment of debian/rules
* Fix Url of debian/watch

http://mentors.debian.net/debian/pool/main/t/tinkerer/tinkerer_0.4.1b-1.dsc

Would you check it?

regards,

--
Kouhei Maeda <mkouhei at {palmtb.net,debian.or.jp}>
 KeyID 4096R/7E37CE41


2012/10/31 Hideki Yamane <henrich@debian.or.jp>

> Hi,
>
> On Sun, 21 Oct 2012 14:02:41 +0900
> Tatsuya Kinoshita <tats@vega.ocn.ne.jp> wrote:
> > The BSD-4-clause license is compliant to DFSG, even though it is
> > incompatible with GPL.
>
>  Yes, yes, I did misunderstanding for this so I'm wrong.
>
>  BSD-4-clause is
>   : DFSG-free (still I have a bit question for it)
>   : not-compatible with GPL
>   : BSD people encourage people not to use this now.
>   : It's not OSI-approved
>
>  If upstream has no strong reason to choose BSD-4-clause, I recommend
>  you to ask upstream why they choose it.
>
>
> --
> Regards,
>
>  Hideki Yamane     henrich @ debian.or.jp/org
>  http://wiki.debian.org/HidekiYamane
>
>
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:28:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.